DEVM_KVASPRINTF(9)

NAME
devm_kvasprintf - Allocate resource managed space and format a string into that.

SYNOPSIS

char * devm_kvasprintf(struct device * dev, gfp_t gfp, const char * fmt, va_list ap);

ARGUMENTS

dev
    Device to allocate memory for

gfp
    the GFP mask used in the devm_kmalloc call when allocating memory

fmt
    The printf-style format string

ap
    Arguments for the format string

RETURNS

Pointer to allocated string on success, NULL on failure.

COPYRIGHT